#!/usr/bin/env python

import argparse
import json

from {{ python_package_name }}.client.{{ python_client_module_name }} import {{ python_client_class_name }}


if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument('--api-url', help="{{ api_name_hyphenated }} api url", type=str,
                        default="https://{{ api_name_hyphenated }}.srcdev.skao.int/api/v1")
    subparsers = parser.add_subparsers(help='command line interface for the {{ api_name_hyphenated }} api', dest='command')

    # health
    health_parser = subparsers.add_parser("health")

    # ping
    ping_parser = subparsers.add_parser("ping")

    args = parser.parse_args()

    client = {{ python_client_class_name }}(args.api_url)
    if args.command == 'health':
        rtn = client.health()
        rtn.raise_for_status()
    elif args.command == 'ping':
        rtn = client.ping()
        rtn.raise_for_status()
    else:
        print(parser.print_help())
        exit()
    print(json.dumps(rtn.json(), indent=2))
